Last modified: 2010-06-16 21:21:51 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 15748 - Improvement of handling of changed Commons images
Improvement of handling of changed Commons images
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
FlaggedRevs (Other open bugs)
unspecified
All All
: Normal enhancement (vote)
: ---
Assigned To: Aaron Schulz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-27 14:59 UTC by P. Birken
Modified: 2010-06-16 21:21 UTC (History)
1 user (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description P. Birken 2008-09-27 14:59:31 UTC
The current behavior, that new versions of images on commons make versions appear as unsighted does not scale, since for some images (flags, placeholder images, etc.) this makes it necessary to flag thousands of pages on several projects. 

Therefore, I think that new versions on commons should not make pages appear as unsighted. As a quick fix, a new message could be shown in the diff that tells people that the reason for the behavior is an image changed on commons. The current messages are very confusing and make people think this is a bug.
Comment 1 Aaron Schulz 2008-09-29 22:04:06 UTC
Treating different versions (due to images) as synced seems like incorrect behavoir. Perhaps some way to get these images sighted might be better.
Comment 2 P. Birken 2008-10-02 20:39:41 UTC
Yes, but it is incorrect behavior that was deemed acceptable (in particular in light of the alternative as it is now) from the beginning by both Erik and me: We said to just ignore Commons. After seeing the confused reactions on de-WP I still say: As long as the change of an image on commons causes this much work on all projects with flagged revs, just turn that part off. 
Comment 3 Aaron Schulz 2008-10-02 21:20:19 UTC
Done in r41567. 
Comment 4 Raimond Spekking 2008-10-29 10:36:44 UTC
Seems not be fixed (all timestampes are CET):

- 15:20, 27. Okt. 2008: Image http://commons.wikimedia.org/wiki/Image:Ali_As_-_YOU_2008_Berlin_(6681).JPG uploaded 

- 15:28, 27. Okt. 2008: Page http://de.wikipedia.org/w/index.php?title=Ali_A$&diff=52307543&oldid=52083037 edited 

- 15:31, 27. Okt. 2008: New image version of http://commons.wikimedia.org/wiki/Image:Ali_As_-_YOU_2008_Berlin_(6681).JPG uploaded 

- 01:20, 29. Okt. 2008: Next page edit: http://de.wikipedia.org/w/index.php?title=Ali_A$&curid=3870198&diff=52367549&oldid=52307543&rcid=52064972 

Message above this diff: "Some templates/images were updated: Bild:Ali As - YOU 2008 Berlin (6681).JPG" but this image is still on Commons.

Comment 5 Aaron Schulz 2008-10-29 12:04:43 UTC
Did you purge the cache and diff?
Comment 6 Aaron Schulz 2008-10-29 12:06:05 UTC
Actually, this isn't really a bug. It still shows template changes on the diff, but what it shouldn't do is have the two draft and stable tabs.
Comment 7 Raimond Spekking 2008-10-29 18:08:24 UTC
(In reply to comment #5)
> Did you purge the cache and diff?
> 

No. Should I? I was glad to find a clear case of this bug/feature :)
Comment 8 Aaron Schulz 2008-10-30 03:33:54 UTC
(In reply to comment #7)
> (In reply to comment #5)
> > Did you purge the cache and diff?
> > 
> 
> No. Should I? I was glad to find a clear case of this bug/feature :)
> 

No, see comment #6. Purging should not do anything. This is more of a feature.
Comment 9 Aaron Schulz 2010-06-15 01:48:49 UTC
This is back again. The sync check still needs a rewrite (which should cover this and 23415)
Comment 10 Aaron Schulz 2010-06-16 21:21:51 UTC
Commons files except from sync check in r68135.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links